{ array.c }
procedure rb_mem_clear(mem: Pvalue; size: Integer);
function rb_assoc_new(car, cdr: Tvalue): Tvalue;
function rb_ary_new: Tvalue;
function rb_ary_new2(len: Integer): Tvalue;
//function rb_ary_new3(long,...): Tvalue;
function rb_ary_new4(n: Integer; elts: Pvalue): Tvalue;
function rb_ary_freeze(ary: Tvalue): Tvalue;
function rb_ary_aref(argc: Integer; argv: Pvalue; ary: Tvalue): Tvalue;
procedure rb_ary_store(ary: Tvalue; idx: Integer; val: Tvalue);
function rb_ary_to_s(ary: Tvalue): Tvalue;
function rb_ary_push(ary, item: Tvalue): Tvalue;
function rb_ary_pop(ary: Tvalue): Tvalue;
function rb_ary_shift(ary: Tvalue): Tvalue;
function rb_ary_unshift(ary, item: Tvalue): Tvalue;
function rb_ary_entry(ary: Tvalue; offset: Integer): Tvalue;
function rb_ary_each(ary: Tvalue): Tvalue;
function rb_ary_join(ary, sep: Tvalue): Tvalue;
//function rb_ary_print_on(ary, f: Tvalue): Tvalue;
function rb_ary_reverse(ary: Tvalue): Tvalue;
function rb_ary_sort(ary: Tvalue): Tvalue;
function rb_ary_sort_bang(ary: Tvalue): Tvalue;
function rb_ary_delete(ary, item: Tvalue): Tvalue;
function rb_ary_delete_at(ary: Tvalue; at: LongInt): Tvalue;
function rb_ary_clear(ary: Tvalue): Tvalue;
function rb_ary_plus(x, y: Tvalue): Tvalue;
function rb_ary_concat(x, y: Tvalue): Tvalue;
function rb_ary_assoc(ary, key: Tvalue): Tvalue;
function rb_ary_rassoc(ary, value: Tvalue): Tvalue;
function rb_ary_includes(ary, item: Tvalue): Tvalue;
function rb_protect_inspect(func: Pointer; obj, arg: Tvalue): Tvalue;
function rb_inspecting_p(obj: Tvalue): Tvalue;

